<!DOCTYPE html>
<html lang="en">
  <head>
    <link rel="stylesheet" href="css/style.css" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=ZCOOL+QingKe+HuangYou&display=swap"
      rel="stylesheet"
    />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Shizuru&display=swap"
      rel="stylesheet"
    />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Lato&display=swap"
      rel="stylesheet"
    />
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Basic Language of html</title>
  </head>
  <body>
    <header class="top-header">
      <h1>📘 The Code Magazine</h1>
      <nav>
        <a href="blog.html" target="_blank">Blog</a>
        <a href="#">Challenges</a>
        <a href="#">Flexbox</a>
        <a href="#">CSS Grid</a>
      </nav>
    </header>
    <article>
      <header class="article-header">
        <h2>The Basic Language of the Web: HTML</h2>
        <img
          src="img/laura-jones.jpg"
          alt="Profile"
          height="50px"
          width="50px"
        />
        <p>Posted by Laura Jones on Monday, June 21st 2027</p>
      </header>
      <img
        src="img/post-img.jpg"
        alt="html code"
        height="200px"
        width="500px"
      />
      <p>
        All modern websites and web applications are built using three
        <em>fundamental</em>
        technologies: HTML, CSS and JavaScript. These are the languages of the
        web.
      </p>
      <p>
        In this post, let's focus on HTML. We will learn what HTML is all about,
        and why you too should learn it.
      </p>
      <h2>What is HTML?</h2>
      <p>
        HTML stands for <strong>H</strong>yper<strong>T</strong>ext
        <strong>M</strong>arkup <strong>L</strong>anguage. It's a markup
        language that web developers use to structure and describe the content
        of a webpage (not a programming language).
      </p>
      <p>
        HTML consists of elements that describe different types of content:
        paragraphs, links, headings, images, video, etc. Web browsers understand
        HTML and render HTML code as websites.
      </p>
      <p>In HTML, each element is made up of 3 parts:</p>
      <ol>
        <li>The opening tag</li>
        <li>The closing tag</li>
        <li>The actual element</li>
      </ol>
      <p>
        You can learn more at
        <a href="https://developer.mozilla.org/en-US/docs/Web/HTML"
          >MDN Web Docs.</a
        >
      </p>
      <h2>Why should you learn HTML?</h2>
      <p>
        There are countless reasons for learning the fundamental language of the
        web. Here are 5 of them:
      </p>
      <ul>
        <li>To be able to use the fundamental web dev language</li>
        <li>
          To hand-craft beautiful websites instead of relying on tools like
          Worpress or Wix
        </li>
        <li>To build web applications</li>
        <li>To impress friends</li>
        <li>To have fun 😃</li>
      </ul>
      <p>Hopefully you learned something new here. See you next time!</p>
      <h4>Related posts</h4>
      <ul>
        <li>
          <img
            src="img/related-1.jpg"
            alt="Person"
            height="50px"
            width="50px"
          />
          <a href="#"> How to Learn Web Development</a>
          <p>By Jonas Schmedtmann</p>
        </li>

        <li>
          <img
            src="img/related-2.jpg"
            alt="Thunder"
            height="50px"
            width="50px"
          />
          <a href="#"> The Unknown Powers of CSS</a>
          <p>By Jim Dillon</p>
        </li>

        <li>
          <img
            src="img/related-3.jpg"
            alt="Javascript"
            height="50px"
            width="50px"
          />
          <a href="#"> Why JavaScript is Awesome</a>
          <p>By Matilda</p>
        </li>
      </ul>
    </article>
    <footer class="footer">Copyright © 2027 by The Code Magazine.</footer>
  </body>
</html>
